#pragma once
#include <exception>
#include <string>

class FileNotFoundException : public std::exception
{
    std::string err;
public:
    FileNotFoundException()
    {
        err.assign("File was not found!");
    }

    const char* what() const noexcept override
    {
        return err.c_str();
    }
};