#include "Data.h"

void createData(const std::string& filepath) 
{
	srand(time(nullptr));
	std::ofstream file(filepath);
	if (!file)
	{
		throw FileNotFoundException();
	}
	for (int i = 0; i < 100; ++i) 
	{
		int n = rand() % 101 - 50;
		file << n << "\n";
	}
}

void createDataContainer(const std::string& filepath) 
{
	srand(time(nullptr));
	std::ofstream file(filepath);
	if (!file)
	{
		throw FileNotFoundException();
	}
	std::vector<int> container(100);
	std::generate(container.begin(), container.end(),[]() {return rand() % 101 - 50;});
	std::copy(container.begin(), container.end(), std::ostream_iterator<int>(file, " "));
}